package com.bgy.sms.channel.bgy.service;

import com.alibaba.fastjson.JSONObject;
import com.bgy.sms.channel.bgy.dto.CLBizResponse;
import com.bgy.sms.channel.bgy.dto.TemplateNotify;
import com.bgy.sms.channel.dto.BGYResponse;

import java.util.List;

public interface BgySmsService {


    CLBizResponse sendSms(String mobile, String content, String areaId, String subModule, String api) throws Exception;

    CLBizResponse sendBatchSms(List<JSONObject> data, String areaId, String subModule, String api, String templateId) throws Exception;

    CLBizResponse createTemplate(String content, String areaId, String account, String templateType, String pkID) throws Exception;

    BGYResponse asyncNotify(TemplateNotify templateNotify);
}
